{% extends "_layout.html.twig" %}
{% block title %}Actualités{% endblock %}
{% set _breadcrumb = ['Actualités'] %}


{% block content %}
    <!-- Content Header (Page header) -->
    <div class="row">
        <div class="col-md-3">
            <section class="content-header">
                <h1>Actualités</h1>
            </section>
            <section class="content no-min-height">
                <div class="box box-solid no-margin">
                    <div class="box-body no-padding">
                        <ul class="nav nav-pills nav-stacked">
                            <li class="{% if not active_month %}active{% endif %}">
                                <a href="{{ path('news.index') }}">
                                    <span class="label label-primary pull-right">{{ total }}</span> Toutes les actualités
                                </a>
                            </li>
                            {% for month, count in months %}
                                <li class="{% if active_month and month == active_month %}active{% endif %}">
                                    <a href="{{ path('news.index.month', {month: month}) }}">
                                        <span class="label label-primary pull-right">{{ count }}</span>
                                        {{ (date(month ~ "-01") | moment).format("F Y") }}
                                    </a>
                                </li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>
            </section>
        </div>
        <div class="col-md-9">
            <section class="content-header">
                {% if is_granted('news.add') %}
                    <a href="{{ path('news.add') }}" class="btn btn-primary pull-right"><span class="fa fa-bullhorn"></span> &nbsp;Nouvelle actualité</a>
                {% endif %}
                <h1 class="text-muted">{{ (active_month ? (date(active_month ~ "-01")|moment).format("F Y")|capitalize : "&nbsp;") | raw }}</h1>
            </section>
            <section class="content">
                {% for news in news_list %}
                        <div class="box box-default">
                            <div class="box-header with-border">
                                <div class="box-tools pull-right">
                                    {% if is_granted('news.edit', news) %}
                                        <a href="{{ path('news.edit', {'id': news.id}) }}" class="faq-edit btn btn-box-tool" title="Modifier cette actualité"><i class="fa fa-pencil"></i></a>
                                    {% endif %}
                                    {% if is_granted('news.remove', news) %}
                                        <a href="{{ path('news.remove', {'id': news.id}) }}" data-toggle="modal-remote" class="faq-remove btn btn-box-tool" title="Supprimer cette actualité"><i class="fa fa-remove"></i></a>
                                    {% endif %}
                                </div>
                                <h3 class="box-title">
                                    {{ (news.date|moment).format("d/m/Y") }} - <strong>{{ news.title }}</strong>
                                </h3>
                            </div>
                            <div class="box-body">
                                {{ news.body | markdown_to_html | raw }}
                            </div>
                            {% if news.filename %}
                                <div class="box-footer">
                                    <i class="fa fa-download"></i> <a href="{{ path('news.download', {id: news.id}) }}">{{ news.filename }}</a>
                                </div>
                            {% endif %}
                        </div>
                    {% endfor %}
            </section>
        </div>
    </div>
{% endblock %}
